Bug 1020458 - authorization security policy needs to move to implementation
authorization security policy needs to move to implementation
Status: CLOSED CURRENTRELEASE
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: SwitchYard Editor (Show other bugs)
6.0.0 GA
Unspecified Unspecified
unspecified Severity high
: ER7
: ---
Assigned To: Brian Fitzpatrick
Jiri Sedlacek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-17 13:17 EDT by Brian Fitzpatrick
Modified: 2015-08-02 19:45 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker SWITCHYARD-1772 Major Closed authorization security policy needs to move to implementation 2016-03-23 10:52 EDT

  None (edit)
Description Brian Fitzpatrick 2013-10-17 13:17:10 EDT
Description of problem:
SwitchYard's SecurityPolicy defines 3 intents: confidentiality, clientAuthentication, and authorization.  Previously, all 3 were marked as interaction policy types.  However, according to the spec, "authorization" is actually an implementation policy type.  As of SWITCHYARD-1729, the runtime has been fixed to re-align to this.

The tooling needs to change as well.  When checking the checkboxes for the security policies, the confidentiality and clientAuthentication selections can remain as attributes being added to the space-delimited value of the requires attribute of the service element.  However, when checking the authorization policy, it should be added to the space-delimited value of the requires attribute of the implementation.[impl] element (where "[impl]" could be bean, for example).

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Brian Fitzpatrick 2013-10-17 13:18:37 EDT
Have moved "Authorization" from the Contract->Security Policy property page to a new Security Policy property page that appears at the Component level. 

PR is ready to go when the changes for SWITCHYARD-1729 make it into the runtime.
Comment 3 JBoss JIRA Server 2013-10-21 09:17:39 EDT
David Ward <dward@jboss.org> made a comment on jira SWITCHYARD-1772

Yes, your xml example looks good to me.
Comment 4 JBoss JIRA Server 2013-10-25 13:32:08 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1772

Adding in support for the property sheet as well as the property page...
Comment 5 JBoss JIRA Server 2013-10-25 13:34:04 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1772

Updated pull request to include the property sheet
Comment 6 JBoss JIRA Server 2013-10-28 09:38:42 EDT
David Ward <dward@jboss.org> made a comment on jira SWITCHYARD-1772

Looking at the screenshot... Shouldn't the Security Policy tab be next to the Transaction Policy tab, and not have Component Properties stuck in-between?
Comment 7 JBoss JIRA Server 2013-10-28 10:23:20 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1772

Yeah, I get what you're saying. We need to do some re-org as far as the pages in the Properties View goes to make it appear more like the Property Dialog. We've been ignoring the view for a bit.
Comment 8 JBoss JIRA Server 2013-10-28 10:24:03 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1772

(See the new property dialog screen shot vs. the property view shot you were looking at)
Comment 9 JBoss JIRA Server 2013-10-28 10:39:00 EDT
David Ward <dward@jboss.org> made a comment on jira SWITCHYARD-1772

Better, but now I'm wondering if both Transaction Policy and Security Policy need to be tabbed in under Implementation like they are under Contract? Sorry if this is picky, or even incorrect.
Comment 10 JBoss JIRA Server 2013-10-28 11:16:39 EDT
Rob Cernich <rcernich@redhat.com> made a comment on jira SWITCHYARD-1772

Brian, I think getting the policies grouped together should be the priority for the moment.  I'm not certain what we can do about getting those policy nodes to show up under "Implementation."  The implementation node is specific to the type, which means we have four and can only specify one as the category for the policy nodes, which means we'll probably have to duplicate the policy extensions for each implementation type (which may not be a bad thing, especially if certain implementation types do not support certain policy types).
Comment 11 JBoss JIRA Server 2013-10-28 21:22:18 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1772

Have the Security Policy & Transaction Policy pages for Implementations now showing up under Implementation for all implementation types (including BPM & BPEL in their separate plug-ins) in the Property Dialog.

Will focus on the Property View tomorrow morning and get this wrapped up.
Comment 12 JBoss JIRA Server 2013-10-29 14:54:26 EDT
Brian Fitzpatrick <bfitzpat@redhat.com> made a comment on jira SWITCHYARD-1772

Updated the PR with fixes for property view tab ordering and fixed an issue I found on the Authorization Security Policy page for Implementations.
Comment 13 JBoss JIRA Server 2013-11-05 12:19:03 EST
Rob Cernich <rcernich@redhat.com> made a comment on jira SWITCHYARD-1772

pushed
Comment 14 Andrej Podhradsky 2013-12-18 05:16:49 EST
Verified with JBDS-IS 7.0.0.CR1
Comment 15 JBoss JIRA Server 2014-06-16 19:52:57 EDT
Keith Babo <kbabo@redhat.com> updated the status of jira SWITCHYARD-1772 to Closed

Note You need to log in before you can comment on or make changes to this bug.